mod parser;

use crate::{law::LawBuilder, par::parser::Risdok, Error};

fn fetch_page(url: &str) -> Result<String, Error> {
    Ok(ureq::get(url).call()?.into_string()?)
}

pub(crate) fn parse(url: &str, builder: &mut LawBuilder) -> Result<(), Error> {
    println!("{url}");
    let xml = fetch_page(url)?;
    let risdok = Risdok::from_str(&xml, builder)?;

    println!("{builder:#?}");
    //println!("{risdok}");

    Ok(())
}
